package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "com-ym-mec-biz-dal-entity-ReplacementInstrumentCooperation")
public class ReplacementInstrumentCooperation {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 合作单位id
     */
    @ApiModelProperty(value = "合作单位id")
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "活动标题")
    private String title;

    @ApiModelProperty(value = "问卷编号")
    private Integer topicId;

    @ApiModelProperty(value = "问卷标题")
    private String topicTitle;

    /**
     * 是否开启缴费 0-未开启 1-已开启
     */
    @ApiModelProperty(value = "是否开启缴费 0-未开启 1-已开启")
    private YesOrNoEnum openPay = YesOrNoEnum.NO;


    /**
     * 是否有问卷 0-没有 1-有
     */
    @ApiModelProperty(value = "是否有问卷 0-没有 1-有")
    private YesOrNoEnum showQuestion = YesOrNoEnum.YES;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty(value = "合作单位")
    private String cooperationOrganName;

    @ApiModelProperty(value = "调查人数")
    private Integer activeNum = 0;

    @ApiModelProperty(value = "置换人数")
    private Integer replaceNum = 0;

    @ApiModelProperty(value = "支付人数")
    private Integer payNum = 0;

    @ApiModelProperty(value = "置换率")
    private BigDecimal replaceScale = BigDecimal.ZERO;

    @ApiModelProperty(value = "缴费率")
    private BigDecimal payScale = BigDecimal.ZERO;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTopicTitle() {
        return topicTitle;
    }

    public void setTopicTitle(String topicTitle) {
        this.topicTitle = topicTitle;
    }

    public Integer getTopicId() {
        return topicId;
    }

    public void setTopicId(Integer topicId) {
        this.topicId = topicId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public YesOrNoEnum getOpenPay() {
        return openPay;
    }

    public void setOpenPay(YesOrNoEnum openPay) {
        this.openPay = openPay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", organId=").append(organId);
        sb.append(", cooperationOrganId=").append(cooperationOrganId);
        sb.append(", openPay=").append(openPay);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCooperationOrganName() {
        return cooperationOrganName;
    }

    public void setCooperationOrganName(String cooperationOrganName) {
        this.cooperationOrganName = cooperationOrganName;
    }

    public Integer getActiveNum() {
        return activeNum;
    }

    public void setActiveNum(Integer activeNum) {
        this.activeNum = activeNum;
    }

    public Integer getReplaceNum() {
        return replaceNum;
    }

    public void setReplaceNum(Integer replaceNum) {
        this.replaceNum = replaceNum;
    }

    public BigDecimal getReplaceScale() {
        return replaceScale;
    }

    public void setReplaceScale(BigDecimal replaceScale) {
        this.replaceScale = replaceScale;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    public BigDecimal getPayScale() {
        return payScale;
    }

    public void setPayScale(BigDecimal payScale) {
        this.payScale = payScale;
    }

    public YesOrNoEnum getShowQuestion() {
        return showQuestion;
    }

    public void setShowQuestion(YesOrNoEnum showQuestion) {
        this.showQuestion = showQuestion;
    }
}